import {Disclosure} from "../misc/Disclosure.module";

(function(Drupal) {

  'use strict';

  Drupal.behaviors.a12sPatternsDisclosure = {

    attach: function (context) {
      // Initialize simple disclosure.
      Disclosure.init({context : context});
      // Initialize tabs.
      Disclosure.init({
        parentSelector: ".tabs",
        toggleSelector: ".tab",
        ariaAttribute: "aria-selected",
        collapseOthers: true,
        atLeastOneExpanded: true,
        context : context,
      });
      // Initialize accordions.
      Disclosure.init({
        parentSelector: ".accordion",
        toggleSelector: ".accordion-toggle",
        collapseOthers: true,
        context : context,
      });
    }

  };

})(window.Drupal);
